# Variable LayoutExports

LayoutExports: {
applyTextStyle: (segment: any, inner: string) => string;
makeSegments: (
body: any,
isWeb: boolean,
alerts?: { msg: string; type: "error" | "success" | "danger" | "warning" }[],
) => { above: { contents: Element; type: string }[] };
render: (opts: RenderOpts) => string;
textStyleToArray: (textStyle: any) => any[];
}

#### Type Declaration

- ##### applyTextStyle: (segment: any, inner: string) => string

- ##### makeSegments: (
  body: any,
  isWeb: boolean,
  alerts?: { msg: string; type: "error" | "success" | "danger" | "warning" }[],
  ) => { above: { contents: Element; type: string }[] }

- ##### render: (opts: RenderOpts) => string

- ##### textStyleToArray: (textStyle: any) => any[]

- Defined in internal.ts:163
- Defined in internal.ts:1015